## org.red5.server.api.event
Interface IEvent

All Known Subinterfaces:
  IRTMPEvent, ISharedObjectMessage

All Known Implementing Classes:
  Abort, AudioData, BaseEvent, BytesRead, ChunkSize, ClientBW, FlexMessage, FlexSharedObjectMessage, FlexStreamSend, Invoke, Notify, Ping, ServerBW, SharedObjectMessage, Unknown, VideoData

    public interface IEvent

IEvent interfaces is the essential interface every Event should implement

Nested Class Summary
`static class` `IEvent.Type`

Method Summary
`Object` `getObject()` Returns event context object
`IEventListener` `getSource()` Returns event listener
`IEvent.Type` `getType()` Returns even type
`boolean` `hasSource()` Whether event has source (event listener(s))

Method Detail

### getType

    IEvent.Type getType()

  Returns even type

  Returns:
    Event type enumeration

### getObject

    Object getObject()

  Returns event context object

  Returns:
    Event context object

### hasSource

    boolean hasSource()

  Whether event has source (event listener(s))

  Returns:
    `true` if so, `false` otherwise

### getSource

    IEventListener getSource()

  Returns event listener

  Returns:
    Event listener object

Copyright © 2006-2010 The Red5 Project